Attachment Service
Update Attachment
UpdateAttachment updates an attachment.
Path Parameters
attachment*string
The attachment id.
Query Parameters
updateMask?string
Required. The list of fields to update.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/attachments/string" \ -H "Content-Type: application/json" \ -d '{ "filename": "string", "type": "string" }'{ "name": "string", "createTime": "2019-08-24T14:15:22Z", "filename": "string", "content": "string", "externalLink": "string", "type": "string", "size": "string", "memo": "string", "motionMedia": { "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED", "role": "MOTION_MEDIA_ROLE_UNSPECIFIED", "groupId": "string", "presentationTimestampUs": "string", "hasEmbeddedVideo": true }}